<?php

/* 
 *
 */
interface aSynchronousOsRequests {

    public function getStatisticAsync($in_process, $username);

    public function calcPie($pieName, $username);
    
    public function calulatePieWrapper($connection, $trendName, $in_process, $username);

    public function sendDocAsync($PHP_FOLDER, $i, $user, $serverIP, $port, $file_id, $isEmail);

    public function backgroundAsync($arr, $port);

    public function runPhpPage($pageName, $args, $isBackground);
    
    public function runLibraryFunc($php_files, $lib, $func, $params);
    
}